curl --request DELETE \
--url https://api.virtuoussoftware.com/api/ContactReference/{referenceSource} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactReference/{referenceSource}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactReference/{referenceSource}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactReference/{referenceSource}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactReference/{referenceSource}';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Delete a Contact Reference
Deletes a Contact Reference without deleting its contact. If the referenceId query parameter is supplied, referenceSource is matched with that external id. If referenceId is omitted, the numeric value in the referenceSource path is treated as the Contact Reference record id. Use the numeric id to delete a specific record when duplicates exist. If multiple visible records match the source and external id, the lowest numeric record id is deleted.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The reference source when referenceId is supplied, or the numeric Contact Reference record id when referenceId is omitted.
Query Parameters
The external reference identifier. Supply this with referenceSource to delete by the external source and identifier pair. Omit it to delete by numeric Contact Reference record id.
Response
OK
Was this page helpful?